void Augmentation(char *ifile1, char *ifile2, char *ifile3, int threefiles, FILE *f10)
{
        FILE *f1, *f2, *f3;
        FSM fsm1, fsm2, fsm3;

        /* Illustration of Augmentation of a state machine */

        if(!threefiles)
        {
                ifile1 = "../data/aug.data";
                ifile2 = "../data/aug_events.data";
                ifile3 = "../data/aug.results";
        }
        f1 = fopen(ifile1, "r"); /* State machine which needs to be augmented */
        f2 = fopen(ifile2, "r"); /* The augmentatin event set for above*/
        f3 = fopen(ifile3, "w");

        fsm_read(f1, &fsm1);
        AugmentFsm(f2, &fsm1);
        fsm_print(f3, &fsm1);

        fclose(f1);
        fclose(f2);
        fclose(f3);
        fsm_delete(&fsm1);

        fprintf(f10, "Fsm to be augmented in input file:\n\t %s \n", ifile1);
        fprintf(f10, "Events with which to be augmented in input file:\n\t ");
        fprintf(f10, "%s \n", ifile2);
        fprintf(f10, "Controllability information not preserved here\n");
        fprintf(f10, "Augmented fsm in output file:\n\t %s \n\n\n", ifile3);

        /*end s*/
}
